package cn.kdan.cloud.pdf.office.account.config;

import cn.kdan.cloud.pdf.office.common.annotation.EnableCommonTools;
import cn.kdan.cloud.pdf.office.common.config.RedisConfig;
import cn.kdan.cloud.pdf.office.common.config.RedissonConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationPropertiesScan;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.AdviceMode;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.context.annotation.Import;


@EnableCommonTools
@Configuration
@EnableCaching(mode = AdviceMode.ASPECTJ) // 一定要用aspectJ，不然内部调用缓存会失效
@Slf4j
@EnableAspectJAutoProxy
@Import({RedisConfig.class, RedissonConfig.class})
public class PdfOfficeAccountConfig {}
