package cn.kdan.cloud.pdf.office.account.controller;

import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;

import cn.kdan.cloud.pdf.office.account.constant.UserConstant;
import cn.kdan.cloud.pdf.office.account.service.UserService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("user")
public class UserController {

    @Autowired
    private UserService userService;


    @GetMapping("getByAccount")
    public ResultMap<UserInfoVO> getByAccount(@RequestParam String account) {
        return new ResultMap<>(CommonConstant.SUCCESS, UserConstant.USER_QUERY_SUCCESS, userService.getByAccount(account));
    }

    @GetMapping("getByAppAccount")
    public ResultMap<UserInfoVO> getByAppAccount(@RequestParam String account,@RequestParam String appId,@RequestParam String platformType) {
        return new ResultMap<>(CommonConstant.SUCCESS, UserConstant.USER_QUERY_SUCCESS, userService.getByAppAccount(account,appId,platformType));
    }

    @GetMapping("getById")
    public ResultMap<UserInfoVO> getById(@RequestParam String id) {
        return new ResultMap<>(CommonConstant.SUCCESS, UserConstant.USER_QUERY_SUCCESS, userService.getById(id));
    }
}
