package cn.kdan.cloud.pdf.office.account.service.impl;

import cn.kdan.cloud.pdf.office.account.model.*;
import cn.kdan.cloud.pdf.office.account.service.UserService;
import cn.kdan.cloud.pdf.office.common.utils.RedisUtils;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import cn.kdan.cloud.pdf.office.account.mapper.ext.ExtUserMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.*;

@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private ExtUserMapper userMapper;

    @Autowired
    private RedisUtils<String, Object> redisUtils;


    @Override
    public UserInfoVO getById(String userId) {
        return convert(userMapper.selectByPrimaryKey(userId));
    }


    @Override
    public UserInfoVO getByAccount(String account) {
        List<User> list = userMapper.getByAccount(account,null,null);
        return CollectionUtils.isEmpty(list) ? null : convert(list.get(0));
    }

    @Override
    public UserInfoVO getByAppAccount(String account,String appId,String platformType) {
        List<User> list = userMapper.getByAccount(account,appId,platformType);
        return CollectionUtils.isEmpty(list) ? null : convert(list.get(0));
    }

    public UserInfoVO convert(User user) {
        if(user == null){
            return new UserInfoVO();
        }
        UserInfoVO userInfoVO = new UserInfoVO();
        BeanUtils.copyProperties(user, userInfoVO);
        return userInfoVO;
    }

    @Override
    public UserInfoVO detail(User user) {
        return convert(user);
    }
}
