package cn.kdan.cloud.pdf.office.api.account.feign.hystrix;


import cn.kdan.cloud.pdf.office.api.account.feign.UserFeignClient;
import cn.kdan.cloud.pdf.office.api.account.vo.OauthClientDetailsVO;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserHystrix implements UserFeignClient {
    @Override
    public ResultMap<UserInfoVO> getByAccount(String account) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<UserInfoVO> getById(String id) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<List<OauthClientDetailsVO>> listAll() {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<OauthClientDetailsVO> getByClientId(String clientId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }
}
