package cn.kdan.cloud.pdf.office.app.controller;

import cn.kdan.cloud.pdf.office.app.service.ActivityInformationService;
import cn.kdan.cloud.pdf.office.api.app.vo.ActivityInfoVO;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.constraints.NotNull;

/**
 * @author ComPDFKit-WPH 2023/1/10
 * <p>
 * 活动信息接口 controller
 */
@RequestMapping("/activity")
@RequiredArgsConstructor
@RestController
public class ActivityInfoController {

    private final ActivityInformationService activityService;

    /**
     * 获取活动信息
     *
     * @param type 活动类型
     * @return ActivityInfoVO
     */
    @GetMapping("/information/by/type")
    public ResultMap<ActivityInfoVO> getInformationByType(@Validated @NotNull(message = "活动类型不能为空") @RequestParam String type) {
        return ResultMap.success(activityService.getActivityInfoByType(type));
    }
}
