package cn.kdan.cloud.pdf.office.app.service.impl;

import cn.kdan.cloud.pdf.office.app.entity.ActivityInformation;
import cn.kdan.cloud.pdf.office.app.mapper.ActivityInformationMapper;
import cn.kdan.cloud.pdf.office.app.service.ActivityInformationService;
import cn.kdan.cloud.pdf.office.api.app.vo.ActivityInfoVO;
import cn.kdan.cloud.pdf.office.common.exception.BackendRuntimeException;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.ObjectUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author ComPDFKit-WPH 2023-01-10
 */
@Service
public class ActivityInformationServiceImpl extends ServiceImpl<ActivityInformationMapper, ActivityInformation> implements ActivityInformationService {


    @Override
    public ActivityInfoVO getActivityInfoByType(String type) {
        ActivityInfoVO activityInfoVO = this.baseMapper.selectActivityInfoByType(type);
        if (ObjectUtils.isNull(activityInfoVO)){
            // TODO 查询数据为空抛出异常 没有当前活动类型信息
            throw new BackendRuntimeException();
        }
        return activityInfoVO;
    }
}
