package cn.kdan.cloud.pdf.office.generate.config;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 字段映射、模板配置
 * @author ZhouQiang 2022/7/24
 */
public class GenerateCodeConfig {

    public static final Map<String, String> FIELD_MAPPING_MAP = new HashMap<>(2 << 3);
    public static final List<String> TEMPLETES = new ArrayList<>();

    static {
        FIELD_MAPPING_MAP.put("int", "Integer");
        FIELD_MAPPING_MAP.put("mediumint", "Integer");
        FIELD_MAPPING_MAP.put("tinyint", "Integer");
        FIELD_MAPPING_MAP.put("bigint", "Long");
        FIELD_MAPPING_MAP.put("char", "String");
        FIELD_MAPPING_MAP.put("varchar", "String");
        FIELD_MAPPING_MAP.put("tinytext", "String");
        FIELD_MAPPING_MAP.put("mediumtext", "String");
        FIELD_MAPPING_MAP.put("text", "String");
        FIELD_MAPPING_MAP.put("longtext", "String");
        FIELD_MAPPING_MAP.put("decimal", "BigDecimal");
        FIELD_MAPPING_MAP.put("datetime", "Date");
        FIELD_MAPPING_MAP.put("double", "Double");
        FIELD_MAPPING_MAP.put("float", "Double");
        FIELD_MAPPING_MAP.put("timestamp", "Date");

        TEMPLETES.add("Controller.ftlh");
        TEMPLETES.add("Entity.ftlh");
        TEMPLETES.add("Mapper.ftlh");
        TEMPLETES.add("MapperXML.ftlh");
        TEMPLETES.add("Service.ftlh");
        TEMPLETES.add("ServiceImpl.ftlh");
    }

    public static List<String> listTemplate() {
        return TEMPLETES;
    }

    public static Map<String, String> getFieldMappingMap() {
        return FIELD_MAPPING_MAP;
    }

    public static String getJavaType(String columnType) {
        return FIELD_MAPPING_MAP.get(columnType);
    }
}
