package cn.kdan.cloud.pdf.office.generate.service.impl;

import cn.kdan.cloud.pdf.office.generate.entity.TableColumn;
import cn.kdan.cloud.pdf.office.generate.mapper.TableColumnsMapper;
import cn.kdan.cloud.pdf.office.generate.service.TableColumnsService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author ZhouQiang 2022/7/24
 */
@Service
public class TableColumnsServiceImpl extends ServiceImpl<TableColumnsMapper, TableColumn> implements TableColumnsService {
    @Override
    public List<TableColumn> listTableColumnByName(String tableName) {
        return this.baseMapper.selectList(
                Wrappers.<TableColumn>lambdaQuery()
                        .eq(TableColumn::getTableName, tableName)
                        .ne(TableColumn::getColumnName, "created_at")
                        .ne(TableColumn::getColumnName, "updated_at")
        );
    }
}
