package cn.kdan.cloud.pdf.office.payment;

import cn.kdan.cloud.pdf.office.common.annotation.EnableMyRabbitMqHandler;
import cn.kdan.cloud.pdf.office.common.annotation.EnableMybatisPlusConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;

/**
 * @author ComPDFKit-WPH 2023/1/12
 */

@SpringBootApplication
@EnableDiscoveryClient
@EnableHystrix
@EnableConfigurationProperties
@EnableMyRabbitMqHandler
@EnableMybatisPlusConfig
@MapperScan("cn.kdan.cloud.pdf.office.payment.mapper")
public class PDFOfficePaymentApplication {

    public static void main(String[] args) {
        SpringApplication.run(PDFOfficePaymentApplication.class, args);
    }
}
