package cn.kdan.cloud.pdf.office.sso.config;


import cn.kdan.cloud.pdf.office.common.annotation.EnableCommonTools;
import cn.kdan.cloud.pdf.office.common.config.RedissonConfig;
import cn.kdan.cloud.pdf.office.common.pojo.CustomHttpSessionStrategy;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.context.annotation.Import;
import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;
import org.springframework.session.web.http.HttpSessionIdResolver;

/**
 * @author tangxiangan
 */
@Configuration
//@ConfigurationPropertiesScan("cn.kdan.cloud.pdf.office.sso.properties")
@EnableCommonTools
@EnableRedisHttpSession
@Slf4j
@EnableAspectJAutoProxy
@EnableCaching
@Import({RedissonConfig.class})
public class PdfOfficeSSOConfig {

    @Bean
    public HttpSessionIdResolver httpSessionStrategy() {
        return new CustomHttpSessionStrategy("x-auth-token");
    }

}
