package cn.kdan.cloud.pdf.office.sso.controller;

import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import cn.kdan.cloud.pdf.office.sso.feign.UserFeignClient;
import cn.kdan.cloud.pdf.office.sso.service.AuthService;
import cn.kdan.cloud.pdf.office.common.pojo.CustomUserDetails;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.oauth2.provider.OAuth2Authentication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.security.Principal;

@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserFeignClient userApi;

    @Autowired
    private AuthService authService;

    @GetMapping("/me")
    public UserInfoVO me(Principal principal) {
        if (principal instanceof OAuth2Authentication) {
            {
                String userId = ((CustomUserDetails)((OAuth2Authentication)principal).getPrincipal()).getId();
                authService.refreshToken(principal);
                // 获取用户的基本信息
                UserInfoVO user = userApi.getById(userId).getResult();
                user.setPasswordDigest(null);
                return user;
            }
        }
        return null;
    }
}
