package cn.kdan.cloud.pdf.office.sso.feign;

import cn.kdan.cloud.pdf.office.api.account.vo.OauthClientDetails;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import cn.kdan.cloud.pdf.office.sso.feign.hystrix.UserHystrix;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


@Component
@FeignClient(value = CommonConstant.ACCOUNT_PROVIDER_NAME , fallback = UserHystrix.class)
public interface UserFeignClient {

    @GetMapping(value = "user/getByAccount")
    ResultMap<UserInfoVO> getByAccount(@RequestParam("account") String account);


    @GetMapping(value = "user/getByAppAccount")
    ResultMap<UserInfoVO> getByAppAccount(@RequestParam("account") String account,@RequestParam("appId") String appId,@RequestParam("platformType") String platformType);

    @GetMapping(value = "user/getById")
    ResultMap<UserInfoVO> getById(@RequestParam("id") String id);


    @GetMapping(value = "oauthClientDetails/listAll")
    ResultMap<List<OauthClientDetails>> listAll();

    @GetMapping(value = "oauthClientDetails/getByClientId")
    ResultMap<OauthClientDetails> getByClientId(@RequestParam("clientId") String clientId);
}
