package cn.kdan.cloud.pdf.office.sso.feign.hystrix;


import cn.kdan.cloud.pdf.office.api.account.vo.OauthClientDetails;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import cn.kdan.cloud.pdf.office.sso.feign.UserFeignClient;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserHystrix implements UserFeignClient {
    @Override
    public ResultMap<UserInfoVO> getByAccount(String account) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<UserInfoVO> getByAppAccount(String account, String appId, String platformType) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<UserInfoVO> getById(String id) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<List<OauthClientDetails>> listAll() {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<OauthClientDetails> getByClientId(String clientId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }
}
