package cn.kdan.cloud.pdf.office.sso.service;


import cn.kdan.cloud.pdf.office.sso.enums.ImageCodeTypeEnum;
import cn.kdan.cloud.pdf.office.common.vo.TokenVO;

import javax.servlet.http.HttpServletRequest;
import java.security.Principal;

public interface AuthService {


    /**
     * @param userId
     * @param clientId
     * @param request
     * @Description: 获取授权码
     * @Return: java.lang.String
     * @Date: 2021/2/10 10:34
     */
    String getAuthorizeCode(String userId, String clientId, HttpServletRequest request);

    /**
     * @param code
     * @param clientId
     * @param request
     * @Description: 获取token
     * @Return: com.wondersgroup.cloud.cmp.common.vo.TokenVO
     * @Date: 2021/2/10 10:35
     */
    TokenVO getToken(String code, String clientId, HttpServletRequest request);

    TokenVO emailLogin(String email, String code, String appId, String platformType, String clientId, HttpServletRequest request);

    void refreshToken(Principal principal);
}
